package com.nec.webotx.webservice.sample;

import com.nec.webotx.webservice.director.service1.Service1Client;
import com.nec.webotx.webservice.director.service2.Service2Client;

public class Aggregation {

	public Info sampleAggregation(String url1,String s1,String url2,String s2) {

		Info info = null;
		Service1Client client1;
		Service2Client client2;
		
		try {
			info = new Info();
			client1 = new Service1Client(url1);
			client2 = new Service2Client(url2);
			String sample1Response = client1.method1_Sample1(s1);
			String sample2Response = client2.method2_Sample2(s2);
			info.setSample1(sample1Response);
			info.setSample2(sample2Response);
		} catch (Exception e) {
			e.printStackTrace();
		}
		return info;

	}

}
